[arch-commits] Commit in xf86-video-vesa/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:48:09 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:48:09
  Author: jgc
Revision: 4381

upgpkg: xf86-video-vesa 2.0.0-1

Modified:
  xf86-video-vesa/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 19:47:14 UTC (rev 4380)
+++ PKGBUILD	2008-07-06 19:48:09 UTC (rev 4381)
@@ -2,22 +2,24 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-video-vesa
-pkgver=1.3.0
-pkgrel=5
+pkgver=2.0.0
+pkgrel=1
 pkgdesc="X.org vesa video driver"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4')
+makedepends=('pkgconfig' 'xorg-server>=1.4.2')
 groups=('xorg' 'xorg-video-drivers')
 options=('!libtool')
 source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('433cf6f961eb4a2ab6fcb086def0b2b4')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('4a307852f3b4850e436a41dab2a73676')





More information about the arch-commits mailing list